#include<math.h>
using namespace std;

int main(){

    long long v;
    long long s=0, a[3]={5, 2, 1};
    
	cin>>v;

	while(v>0){
		
		for(int i=17; i>=0; i--){

			for(int j=0; j<3; j++){

				if(v<a[j]*pow(10, i)){
				}
				else{
					v-=a[j]*pow(10, i);
					s++;
					j--;
				}

			}

		}
		
	}
	
	cout<<s;
	
}